
Foreman - Bug #26394

when changing location user looses all navigation menus

03/18/2019 03:38 PM - Joseph Boyer

Status: Closed   

Priority: High   

Assignee: Gilad Lekner   

Category: Web Interface   

Target version: 1.21.1   

Difficulty:  Fixed in Releases: 1.20.3, 1.21.1, 1.22.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6613

  

Description

using foreman 1.21.0 and Katello 3.11 change location causes all navigation menus to disappear

Here is the error that is seen in firefox's dev console.

TypeError: "a.locations.available_locations.find(...) is undefined" 

value Layout.js:38 Wi8React

 
n i18nProviderWrapperFactory.js:18 i es6.promise.js:66 O es6.promise.js:83 c _microtask.js:18

 react-dom.production.min.js:187:139

Lo12React

 
n i18nProviderWrapperFactory.js:18 i es6.promise.js:66 O es6.promise.js:83 c _microtask.js:18

 Unhandled promise rejection TypeError: "a.locations.available_locations.find(...) is undefined" 

value Layout.js:38 Wi8React

 
n i18nProviderWrapperFactory.js:18 i es6.promise.js:66 O es6.promise.js:83 c _microtask.js:18

 es6.promise.js:101

t es6.promise.js:101 exports _perform.js:3 P es6.promise.js:95 exports _invoke.js:5 &lt;anonymous&

gt; _task.js:35 y _task.js:21 v _task.js:25

Related issues:

Related to Foreman - Task #23445: Change vertical menu to react implementation Closed

Associated revisions

Revision c8e0380e - 03/24/2019 12:10 PM - Gilad Lekner 

fixes #26394 - fix layout crash w/nested taxonomies

History

#1 - 03/18/2019 03:41 PM - Tomer Brisker

- Related to Task #23445: Change vertical menu to react implementation added

#2 - 03/18/2019 03:44 PM - Tomer Brisker

- Category set to Web Interface

- Target version set to 1.21.1
#3 - 03/19/2019 08:27 PM - Tomer Brisker

- Priority changed from Normal to High

#4 - 03/20/2019 01:13 PM - Walden Raines

- Assignee set to Gilad Lekner

#5 - 03/20/2019 03:01 PM - Gilad Lekner

Joseph Boyer wrote:

using foreman 1.21.0 and Katello 3.11 change location causes all navigation menus to disappear

Here is the error that is seen in firefox's dev console.

TypeError: "a.locations.available_locations.find(...) is undefined"

value Layout.js:38 Wi8React

n i18nProviderWrapperFactory.js:18 i es6.promise.js:66 O es6.promise.js:83 c _microtask.js:18

react-dom.production.min.js:187:139

Lo12React

n i18nProviderWrapperFactory.js:18 i es6.promise.js:66 O es6.promise.js:83 c _microtask.js:18

Unhandled promise rejection TypeError: "a.locations.available_locations.find(...) is undefined"

value Layout.js:38 Wi8React

n i18nProviderWrapperFactory.js:18 i es6.promise.js:66 O es6.promise.js:83 c _microtask.js:18

es6.promise.js:101

t es6.promise.js:101 exports _perform.js:3 P es6.promise.js:95 exports _invoke.js:5 <anonymous> _task.js:35 y _task.js:21 v _task.js:25

 Using 1.21 and 3.11 on Katello, can't seem to reproduce this bug. any specific steps?

#6 - 03/21/2019 09:01 PM - Walden Raines

- Status changed from New to Need more information

#7 - 03/21/2019 10:20 PM - Joseph Boyer

- File Screenshot 2019-03-21 at 18.18.07.png added

#8 - 03/24/2019 09:24 AM - Gilad Lekner

File Screenshot 2019-03-21 at 18.18.07.png Screenshot 2019-03-21 at 18.18.07.pngScreenshot 2019-03-21 at 18.18.07.png added

Hi Joseph, Can you please provide a Video of reproducing this? Also which version of firefox are you using?

I can't reproduce this bug right now, using 1.21, 3.11.0 and Firefox 66.0.1

#9 - 03/24/2019 10:09 AM - The Foreman Bot

- Status changed from Need more information to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6613 added

#10 - 03/24/2019 12:13 PM - Tomer Brisker

- Fixed in Releases 1.20.3, 1.21.1, 1.22.0 added

#11 - 03/24/2019 01:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset c8e0380e6dfac8be456520e13651da18dc48d57f.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/c8e0380e6dfac8be456520e13651da18dc48d57f


Files

Screenshot 2019-03-21 at 18.18.07.png 1.38 MB 03/21/2019 Joseph Boyer
